Subject: bug#28415: closed (Re: bug#28415: build failure on macOS 10.9.5)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Sep 2017 06:37:02 +0000

Your bug report

#28415: build failure on macOS 10.9.5

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28415: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28415
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28415: build failure on macOS 10.9.5
From: Alan Third <[email-masked]>
To: Tak Kunihiro <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Sep 2017 07:36:11 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Tue, Sep 12, 2017 at 08:00:32AM +0900, Tak Kunihiro wrote:
> > Sorry, my mistake. I’ve pushed a fix to master.
> 
> I confirmed that I can successfully compile emacs.git on macOS 10.9.5.

Thank you.
-- 
Alan Third

Subject: build failure on macOS 10.9.5
From: Tak Kunihiro <[email-masked]>
To: [email-masked]
Cc: Tak Kunihiro <[email-masked]>
Date: Mon, 11 Sep 2017 15:59:44 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

I cannot compile emacs.git under macOS 10.9.5.
I confirm that I can compile emacs-25.2.tar.gz on my environment.
Can you give me suggestions?

I want to test the following commit.
 http://git.savannah.gnu.org/cgit/emacs.git/commit/?id=79150f6086286294c9e5ed56df5b14c87129cde6

$ git clone https://git.savannah.gnu.org/git/emacs.git
$ cd emacs
$ make
…
nsterm.m:2059:46: error: use of undeclared identifier 'NSAppearanceNameVibrantDark'
                            appearanceNamed: NSAppearanceNameVibrantDark];
                                             ^
nsterm.m:7146:44: error: use of undeclared identifier 'NSAppearanceNameVibrantDark'
                          appearanceNamed: NSAppearanceNameVibrantDark];
                                           ^
2 errors generated.
make[1]: *** [nsterm.o] Error 1
make: *** [src] Error 2